Bug 90513 - Custom install - sendmail startup fails due to missinf m4 package
Summary: Custom install - sendmail startup fails due to missinf m4 package
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-09 03:47 UTC by Michael Fratoni
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-11 15:51:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Fratoni 2003-05-09 03:47:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
I did a custom install, selecting httpd, sendmail, and named package groups. (I
did not select individual components, just selected the above, and deselected
most other default groups.)

On reboot sendmail startup failed with the following messages:

sendmail: sendmail startup succeeded
sendmail: No local mailer defined
sendmail: QueueDirectory (Q) option must be set
tuxfan sendmail: sm-client startup failed

After some poking around, I found that while sendmail and sendmail-cf were
installed, m4 was not. Installing m4 solved the problem.

I'm not sure if this is related to the installer or one of the
affected packages. Sendmail-cf doesn't require m4, nor does 
anything else for that matter.
$ rpm -q --whatrequires m4
no package requires m4


Version-Release number of selected component (if applicable):
anaconda-9.0-4

How reproducible:
Always

Steps to Reproduce:
1. Select custom install
2. Select sendmail server package group. (I also added httpd and named)
3. Deselect other default package groups (XFree, Gnome, etc.)
    

Actual Results:  Two clean installs, same results both times.


Expected Results:  Sendmail should start normally. Additionally, it is
impossible to generate a working config file for sendmail unless the m4 
package is installed.


Additional info:

Comment 1 Florian La Roche 2003-05-11 15:51:01 UTC
Fixed.

Thanks a lot,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.